<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:33 CEST 2019 -->
<title>R-Index</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">X</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Refinement</span></a> - Interface in <a href="../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></dt>
<dd>
<div class="block">A representation of the model object '<em><b>Refinement</b></em>'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT">REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinement</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT">REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The meta object id for the '<a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinement</em></code></a>' class.</div>
</dd>
<dt><a href="../refinement/handlers/package-summary.html">refinement.handlers</a> - package refinement.handlers</dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a> - package refinement.model.refinements.impl</dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a> - package refinement.model.refinements.presentation</dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/provider/package-summary.html">refinement.model.refinements.provider</a> - package refinement.model.refinements.provider</dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/tests/package-summary.html">refinement.model.refinements.tests</a> - package refinement.model.refinements.tests</dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a> - package refinement.model.refinements.util</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT___ADD_VALUE_STATE__STRING">REFINEMENT___ADD_VALUE_STATE__STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Add Value State</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___ADD_VALUE_STATE__STRING">REFINEMENT___ADD_VALUE_STATE__STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Add Value State</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT___ADD_VALUE_STATES__ELIST">REFINEMENT___ADD_VALUE_STATES__ELIST</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Add Value States</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___ADD_VALUE_STATES__ELIST">REFINEMENT___ADD_VALUE_STATES__ELIST</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Add Value States</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Set Refinement</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING">REFINEMENT___SET_REFINEMENT__STRING_STRING_STRING_STRING_STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Set Refinement</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__DATE">REFINEMENT__DATE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Date</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__DATE">REFINEMENT__DATE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Date</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__DIFFERENCE">REFINEMENT__DIFFERENCE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Difference</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__DIFFERENCE">REFINEMENT__DIFFERENCE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Difference</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__KIND">REFINEMENT__KIND</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__KIND">REFINEMENT__KIND</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__LINKED">REFINEMENT__LINKED</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Linked</b></em>' reference feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__LINKED">REFINEMENT__LINKED</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Linked</b></em>' reference.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__REFERENCE">REFINEMENT__REFERENCE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Reference</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__REFERENCE">REFINEMENT__REFERENCE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Reference</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__STATE">REFINEMENT__STATE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>State</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__STATE">REFINEMENT__STATE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>State</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__VALUE">REFINEMENT__VALUE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Value</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__VALUE">REFINEMENT__VALUE</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Value</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENT__VALUE_STATES">REFINEMENT__VALUE_STATES</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Value States</b></em>' attribute list feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT__VALUE_STATES">REFINEMENT__VALUE_STATES</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Value States</b></em>' attribute list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT_FEATURE_COUNT">REFINEMENT_FEATURE_COUNT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The number of structural features of the '<em>Refinement</em>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENT_OPERATION_COUNT">REFINEMENT_OPERATION_COUNT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The number of operations of the '<em>Refinement</em>' class.</div>
</dd>
<dt><a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers"><span class="typeNameLink">RefinementHandler</span></a> - Class in <a href="../refinement/handlers/package-summary.html">refinement.handlers</a></dt>
<dd>
<div class="block">Handler that merges differences from extracted PCM files to actual PCM files.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/RefinementHandler.html#RefinementHandler--">RefinementHandler()</a></span> - Constructor for class refinement.handlers.<a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers">RefinementHandler</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/impl/RefinementImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">RefinementImpl</span></a> - Class in <a href="../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a></dt>
<dd>
<div class="block">An implementation of the model object '<em><b>Refinement</b></em>'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#refinementIndexOfComponent-org.eclipse.core.resources.IFile-java.lang.String-">refinementIndexOfComponent(IFile, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Return index of refinement that contains componentNames.toLowerCase in
 valueStates.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/DifferenceUtils.html#refinementIndexOfDifference-refinement.model.refinements.Refinements-org.eclipse.emf.compare.Diff-">refinementIndexOfDifference(Refinements, Diff)</a></span> - Static method in class utils.<a href="../utils/DifferenceUtils.html" title="class in utils">DifferenceUtils</a></dt>
<dd>
<div class="block">Returns index of refinement with a reference that matches referenceID or
 that valueState contains the entityName of the difference.</div>
</dd>
<dt><a href="../refinement/model/refinements/provider/RefinementItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementItemProvider</span></a> - Class in <a href="../refinement/model/refinements/provider/package-summary.html">refinement.model.refinements.provider</a></dt>
<dd>
<div class="block">This is the item provider adapter for a <a href="../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements"><code>Refinement</code></a> object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/provider/RefinementItemProvider.html#RefinementItemProvider-org.eclipse.emf.common.notify.AdapterFactory-">RefinementItemProvider(AdapterFactory)</a></span> - Constructor for class refinement.model.refinements.provider.<a href="../refinement/model/refinements/provider/RefinementItemProvider.html" title="class in refinement.model.refinements.provider">RefinementItemProvider</a></dt>
<dd>
<div class="block">This constructs an instance from a factory and a notifier.</div>
</dd>
<dt><a href="../provider/RefinementLabelProvider.html" title="class in provider"><span class="typeNameLink">RefinementLabelProvider</span></a> - Class in <a href="../provider/package-summary.html">provider</a></dt>
<dd>
<div class="block">LabelProvider for displaying Refinement in ListSelectionDialog.</div>
</dd>
<dt><span class="memberNameLink"><a href="../provider/RefinementLabelProvider.html#RefinementLabelProvider--">RefinementLabelProvider()</a></span> - Constructor for class provider.<a href="../provider/RefinementLabelProvider.html" title="class in provider">RefinementLabelProvider</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><span class="typeNameLink">Refinements</span></a> - Interface in <a href="../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></dt>
<dd>
<div class="block">A representation of the model object '<em><b>Refinements</b></em>'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS">REFINEMENTS</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinements</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS">REFINEMENTS</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The meta object id for the '<a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><code><em>Refinements</em></code></a>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___ADD_REFINEMENT__REFINEMENT">REFINEMENTS___ADD_REFINEMENT__REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Add Refinement</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___ADD_REFINEMENT__REFINEMENT">REFINEMENTS___ADD_REFINEMENT__REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Add Refinement</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Find Refinements By Reference</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING">REFINEMENTS___FIND_REFINEMENTS_BY_REFERENCE__STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Find Refinements By Reference</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___GET_REFINEMENT__INT">REFINEMENTS___GET_REFINEMENT__INT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Get Refinement</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___GET_REFINEMENT__INT">REFINEMENTS___GET_REFINEMENT__INT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Get Refinement</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___GET_REPLACE_INDEX__ELIST">REFINEMENTS___GET_REPLACE_INDEX__ELIST</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Get Replace Index</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___GET_REPLACE_INDEX__ELIST">REFINEMENTS___GET_REPLACE_INDEX__ELIST</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Get Replace Index</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Index Of Refinement</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT">REFINEMENTS___INDEX_OF_REFINEMENT__REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Index Of Refinement</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___REMOVE_REFINEMENT__INT">REFINEMENTS___REMOVE_REFINEMENT__INT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Remove Refinement</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___REMOVE_REFINEMENT__INT">REFINEMENTS___REMOVE_REFINEMENT__INT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Remove Refinement</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___SAVE_REFINEMENTS__STRING">REFINEMENTS___SAVE_REFINEMENTS__STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Save Refinements</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___SAVE_REFINEMENTS__STRING">REFINEMENTS___SAVE_REFINEMENTS__STRING</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Save Refinements</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Set Refinement</b></em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT">REFINEMENTS___SET_REFINEMENT__INT_REFINEMENT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The operation id for the '<em>Set Refinement</em>' operation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS__COMPOSEDREFINEMENTS">REFINEMENTS__COMPOSEDREFINEMENTS</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Composedrefinements</b></em>' containment reference list feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__COMPOSEDREFINEMENTS">REFINEMENTS__COMPOSEDREFINEMENTS</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Composedrefinements</b></em>' containment reference list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS__ID">REFINEMENTS__ID</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Id</b></em>' attribute feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__ID">REFINEMENTS__ID</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Id</b></em>' attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.Literals.html#REFINEMENTS__REFINEMENTS">REFINEMENTS__REFINEMENTS</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements">RefinementsPackage.Literals</a></dt>
<dd>
<div class="block">The meta object literal for the '<em><b>Refinements</b></em>' containment reference list feature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS__REFINEMENTS">REFINEMENTS__REFINEMENTS</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The feature id for the '<em><b>Refinements</b></em>' containment reference list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS_FEATURE_COUNT">REFINEMENTS_FEATURE_COUNT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The number of structural features of the '<em>Refinements</em>' class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/RefinementsPackage.html#REFINEMENTS_OPERATION_COUNT">REFINEMENTS_OPERATION_COUNT</a></span> - Static variable in interface refinement.model.refinements.<a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements">RefinementsPackage</a></dt>
<dd>
<div class="block">The number of operations of the '<em>Refinements</em>' class.</div>
</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsActionBarContributor</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">This is the action bar contributor for the Refinements model editor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html#RefinementsActionBarContributor--">RefinementsActionBarContributor()</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation">RefinementsActionBarContributor</a></dt>
<dd>
<div class="block">This creates an instance of the contributor.</div>
</dd>
<dt><a href="../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util"><span class="typeNameLink">RefinementsAdapterFactory</span></a> - Class in <a href="../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a></dt>
<dd>
<div class="block">The <b>Adapter Factory</b> for the model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/util/RefinementsAdapterFactory.html#RefinementsAdapterFactory--">RefinementsAdapterFactory()</a></span> - Constructor for class refinement.model.refinements.util.<a href="../refinement/model/refinements/util/RefinementsAdapterFactory.html" title="class in refinement.model.refinements.util">RefinementsAdapterFactory</a></dt>
<dd>
<div class="block">Creates an instance of the adapter factory.</div>
</dd>
<dt><a href="../refinement/model/refinements/tests/RefinementsAllTests.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">RefinementsAllTests</span></a> - Class in <a href="../refinement/model/refinements/tests/package-summary.html">refinement.model.refinements.tests</a></dt>
<dd>
<div class="block">A test suite for the '<em><b>Refinements</b></em>' model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementsAllTests.html#RefinementsAllTests-java.lang.String-">RefinementsAllTests(String)</a></span> - Constructor for class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementsAllTests.html" title="class in refinement.model.refinements.tests">RefinementsAllTests</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditor</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">This is an example of a Refinements model editor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#RefinementsEditor--">RefinementsEditor()</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>
<div class="block">This creates a model editor.</div>
</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditor.ReverseAdapterFactoryContentProvider</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsEditorPlugin.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditorPlugin</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">This is the central singleton for the Refinements editor plugin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditorPlugin.html#RefinementsEditorPlugin--">RefinementsEditorPlugin()</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditorPlugin.html" title="class in refinement.model.refinements.presentation">RefinementsEditorPlugin</a></dt>
<dd>
<div class="block">Create the instance.</div>
</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsEditorPlugin.Implementation.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsEditorPlugin.Implementation</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">The actual implementation of the Eclipse <b>Plugin</b>.</div>
</dd>
<dt><a href="../refinement/model/refinements/provider/RefinementsEditPlugin.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsEditPlugin</span></a> - Class in <a href="../refinement/model/refinements/provider/package-summary.html">refinement.model.refinements.provider</a></dt>
<dd>
<div class="block">This is the central singleton for the Refinements edit plugin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/provider/RefinementsEditPlugin.html#RefinementsEditPlugin--">RefinementsEditPlugin()</a></span> - Constructor for class refinement.model.refinements.provider.<a href="../refinement/model/refinements/provider/RefinementsEditPlugin.html" title="class in refinement.model.refinements.provider">RefinementsEditPlugin</a></dt>
<dd>
<div class="block">Create the instance.</div>
</dd>
<dt><a href="../refinement/model/refinements/provider/RefinementsEditPlugin.Implementation.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsEditPlugin.Implementation</span></a> - Class in <a href="../refinement/model/refinements/provider/package-summary.html">refinement.model.refinements.provider</a></dt>
<dd>
<div class="block">The actual implementation of the Eclipse <b>Plugin</b>.</div>
</dd>
<dt><a href="../refinement/model/refinements/tests/RefinementsExample.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">RefinementsExample</span></a> - Class in <a href="../refinement/model/refinements/tests/package-summary.html">refinement.model.refinements.tests</a></dt>
<dd>
<div class="block">A sample utility for the '<em><b>refinements</b></em>' package.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementsExample.html#RefinementsExample--">RefinementsExample()</a></span> - Constructor for class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementsExample.html" title="class in refinement.model.refinements.tests">RefinementsExample</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/RefinementsFactory.html" title="interface in refinement.model.refinements"><span class="typeNameLink">RefinementsFactory</span></a> - Interface in <a href="../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></dt>
<dd>
<div class="block">The <b>Factory</b> for the model.</div>
</dd>
<dt><a href="../refinement/model/refinements/impl/RefinementsFactoryImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">RefinementsFactoryImpl</span></a> - Class in <a href="../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a></dt>
<dd>
<div class="block">An implementation of the model <b>Factory</b>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementsFactoryImpl.html#RefinementsFactoryImpl--">RefinementsFactoryImpl()</a></span> - Constructor for class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementsFactoryImpl.html" title="class in refinement.model.refinements.impl">RefinementsFactoryImpl</a></dt>
<dd>
<div class="block">Creates an instance of the factory.</div>
</dd>
<dt><a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">RefinementsImpl</span></a> - Class in <a href="../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a></dt>
<dd>
<div class="block">An implementation of the model object
 '<em><b>Refinements</b></em>'.</div>
</dd>
<dt><a href="../refinement/model/refinements/provider/RefinementsItemProvider.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsItemProvider</span></a> - Class in <a href="../refinement/model/refinements/provider/package-summary.html">refinement.model.refinements.provider</a></dt>
<dd>
<div class="block">This is the item provider adapter for a <a href="../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements"><code>Refinements</code></a> object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/provider/RefinementsItemProvider.html#RefinementsItemProvider-org.eclipse.emf.common.notify.AdapterFactory-">RefinementsItemProvider(AdapterFactory)</a></span> - Constructor for class refinement.model.refinements.provider.<a href="../refinement/model/refinements/provider/RefinementsItemProvider.html" title="class in refinement.model.refinements.provider">RefinementsItemProvider</a></dt>
<dd>
<div class="block">This constructs an instance from a factory and a notifier.</div>
</dd>
<dt><a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" title="class in refinement.model.refinements.provider"><span class="typeNameLink">RefinementsItemProviderAdapterFactory</span></a> - Class in <a href="../refinement/model/refinements/provider/package-summary.html">refinement.model.refinements.provider</a></dt>
<dd>
<div class="block">This is the factory that is used to provide the interfaces needed to support Viewers.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#RefinementsItemProviderAdapterFactory--">RefinementsItemProviderAdapterFactory()</a></span> - Constructor for class refinement.model.refinements.provider.<a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" title="class in refinement.model.refinements.provider">RefinementsItemProviderAdapterFactory</a></dt>
<dd>
<div class="block">This constructs an instance.</div>
</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsModelWizard</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">This is a simple wizard for creating a new model file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.html#RefinementsModelWizard--">RefinementsModelWizard()</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsModelWizard.html" title="class in refinement.model.refinements.presentation">RefinementsModelWizard</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">This is the page where the type of object to create is selected.</div>
</dd>
<dt><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage</span></a> - Class in <a href="../refinement/model/refinements/presentation/package-summary.html">refinement.model.refinements.presentation</a></dt>
<dd>
<div class="block">This is the one page of the wizard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage.html#RefinementsModelWizardInitialObjectCreationPage-java.lang.String-">RefinementsModelWizardInitialObjectCreationPage(String)</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage.html" title="class in refinement.model.refinements.presentation">RefinementsModelWizard.RefinementsModelWizardInitialObjectCreationPage</a></dt>
<dd>
<div class="block">Pass in the selection.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage.html#RefinementsModelWizardNewFileCreationPage-java.lang.String-org.eclipse.jface.viewers.IStructuredSelection-">RefinementsModelWizardNewFileCreationPage(String, IStructuredSelection)</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage.html" title="class in refinement.model.refinements.presentation">RefinementsModelWizard.RefinementsModelWizardNewFileCreationPage</a></dt>
<dd>
<div class="block">Pass in the selection.</div>
</dd>
<dt><a href="../refinement/model/refinements/RefinementsPackage.html" title="interface in refinement.model.refinements"><span class="typeNameLink">RefinementsPackage</span></a> - Interface in <a href="../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></dt>
<dd>
<div class="block">The <b>Package</b> for the model.</div>
</dd>
<dt><a href="../refinement/model/refinements/RefinementsPackage.Literals.html" title="interface in refinement.model.refinements"><span class="typeNameLink">RefinementsPackage.Literals</span></a> - Interface in <a href="../refinement/model/refinements/package-summary.html">refinement.model.refinements</a></dt>
<dd>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each operation of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</dd>
<dt><a href="../refinement/model/refinements/impl/RefinementsPackageImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">RefinementsPackageImpl</span></a> - Class in <a href="../refinement/model/refinements/impl/package-summary.html">refinement.model.refinements.impl</a></dt>
<dd>
<div class="block">An implementation of the model <b>Package</b>.</div>
</dd>
<dt><a href="../refinement/model/refinements/util/RefinementsSwitch.html" title="class in refinement.model.refinements.util"><span class="typeNameLink">RefinementsSwitch</span></a>&lt;<a href="../refinement/model/refinements/util/RefinementsSwitch.html" title="type parameter in RefinementsSwitch">T</a>&gt; - Class in <a href="../refinement/model/refinements/util/package-summary.html">refinement.model.refinements.util</a></dt>
<dd>
<div class="block">The <b>Switch</b> for the model's inheritance hierarchy.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/util/RefinementsSwitch.html#RefinementsSwitch--">RefinementsSwitch()</a></span> - Constructor for class refinement.model.refinements.util.<a href="../refinement/model/refinements/util/RefinementsSwitch.html" title="class in refinement.model.refinements.util">RefinementsSwitch</a></dt>
<dd>
<div class="block">Creates an instance of the switch.</div>
</dd>
<dt><a href="../refinement/model/refinements/tests/RefinementsTest.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">RefinementsTest</span></a> - Class in <a href="../refinement/model/refinements/tests/package-summary.html">refinement.model.refinements.tests</a></dt>
<dd>
<div class="block">A test case for the model object '<em><b>Refinements</b></em>'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementsTest.html#RefinementsTest-java.lang.String-">RefinementsTest(String)</a></span> - Constructor for class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementsTest.html" title="class in refinement.model.refinements.tests">RefinementsTest</a></dt>
<dd>
<div class="block">Constructs a new Refinements test case with the given name.</div>
</dd>
<dt><a href="../refinement/model/refinements/tests/RefinementsTests.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">RefinementsTests</span></a> - Class in <a href="../refinement/model/refinements/tests/package-summary.html">refinement.model.refinements.tests</a></dt>
<dd>
<div class="block">A test suite for the '<em><b>refinements</b></em>' package.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementsTests.html#RefinementsTests-java.lang.String-">RefinementsTests(String)</a></span> - Constructor for class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementsTests.html" title="class in refinement.model.refinements.tests">RefinementsTests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../utils/LoggingUtils.html#refinementSucess-org.eclipse.core.commands.ExecutionEvent-org.eclipse.emf.common.util.EList-">refinementSucess(ExecutionEvent, EList&lt;String&gt;)</a></span> - Static method in class utils.<a href="../utils/LoggingUtils.html" title="class in utils">LoggingUtils</a></dt>
<dd>
<div class="block">Success message for RefinementHandler.</div>
</dd>
<dt><a href="../refinement/model/refinements/tests/RefinementTest.html" title="class in refinement.model.refinements.tests"><span class="typeNameLink">RefinementTest</span></a> - Class in <a href="../refinement/model/refinements/tests/package-summary.html">refinement.model.refinements.tests</a></dt>
<dd>
<div class="block">A test case for the model object '<em><b>Refinement</b></em>'.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/tests/RefinementTest.html#RefinementTest-java.lang.String-">RefinementTest(String)</a></span> - Constructor for class refinement.model.refinements.tests.<a href="../refinement/model/refinements/tests/RefinementTest.html" title="class in refinement.model.refinements.tests">RefinementTest</a></dt>
<dd>
<div class="block">Constructs a new Refinement test case with the given name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html#removeListener-org.eclipse.emf.edit.provider.INotifyChangedListener-">removeListener(INotifyChangedListener)</a></span> - Method in class refinement.model.refinements.provider.<a href="../refinement/model/refinements/provider/RefinementsItemProviderAdapterFactory.html" title="class in refinement.model.refinements.provider">RefinementsItemProviderAdapterFactory</a></dt>
<dd>
<div class="block">This removes a listener.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/impl/RefinementsImpl.html#removeRefinement-int-">removeRefinement(int)</a></span> - Method in class refinement.model.refinements.impl.<a href="../refinement/model/refinements/impl/RefinementsImpl.html" title="class in refinement.model.refinements.impl">RefinementsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/Refinements.html#removeRefinement-int-">removeRefinement(int)</a></span> - Method in interface refinement.model.refinements.<a href="../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></dt>
<dd>
<div class="block">Remove refinement from refinements by given index.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.html#removeSelectionChangedListener-org.eclipse.jface.viewers.ISelectionChangedListener-">removeSelectionChangedListener(ISelectionChangedListener)</a></span> - Method in class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.html" title="class in refinement.model.refinements.presentation">RefinementsEditor</a></dt>
<dd>
<div class="block">This implements <code>ISelectionProvider</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/handlers/RefinementHandler.html#replacePCMFile-org.eclipse.emf.common.util.EList-org.eclipse.core.resources.IFile-org.eclipse.core.resources.IFile-">replacePCMFile(EList&lt;String&gt;, IFile, IFile)</a></span> - Method in class refinement.handlers.<a href="../refinement/handlers/RefinementHandler.html" title="class in refinement.handlers">RefinementHandler</a></dt>
<dd>
<div class="block">Merge all differences between automatic extracted PCM file and current
 PCM file to current PCM file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#repositoryIndexOfComponent-org.eclipse.emf.common.util.EList-java.lang.String-">repositoryIndexOfComponent(EList&lt;RepositoryComponent&gt;, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Index of repository_BasicComponent with an entityName that matches
 componentName.</div>
</dd>
<dt><span class="memberNameLink"><a href="../utils/Utils.html#repositoryIndexOfCreatedComponent-org.eclipse.emf.common.util.EList-java.lang.String-">repositoryIndexOfCreatedComponent(EList&lt;String&gt;, String)</a></span> - Static method in class utils.<a href="../utils/Utils.html" title="class in utils">Utils</a></dt>
<dd>
<div class="block">Index of component with an entityName that matches componentName.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/States.html#RESOLVED_VALUE">RESOLVED_VALUE</a></span> - Static variable in enum refinement.model.refinements.<a href="../refinement/model/refinements/States.html" title="enum in refinement.model.refinements">States</a></dt>
<dd>
<div class="block">The '<em><b>RESOLVED</b></em>' literal value.</div>
</dd>
<dt><span class="memberNameLink"><a href="../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html#ReverseAdapterFactoryContentProvider-org.eclipse.emf.common.notify.AdapterFactory-">ReverseAdapterFactoryContentProvider(AdapterFactory)</a></span> - Constructor for class refinement.model.refinements.presentation.<a href="../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation">RefinementsEditor.ReverseAdapterFactoryContentProvider</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
